import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Passenger } from '../interfaces/passenger.interface';
import { Observable } from 'rxjs';

@Injectable({providedIn: 'root'})
export class PassengerService {
  constructor(private http: HttpClient) { }

  URL_BASE: string = 'http://localhost:3000/passengers';

  getAll(): Observable<Passenger[]> {
    return this.http.get<Passenger[]>(this.URL_BASE);
  }

  getById(id: number): Observable<Passenger> {
    return this.http.get<Passenger>(`${this.URL_BASE}/${id}`);
  }

  save(passenger: Passenger): Observable<Passenger> {
    return this.http.post<Passenger>(this.URL_BASE, passenger);
  }

  edit(id: number, passenger: Passenger): Observable<Passenger> {
    return this.http.put<Passenger>(`${this.URL_BASE}/${id}`, passenger);
  }

  delete(id: number): Observable<Passenger> {
    return this.http.delete<Passenger>(`${this.URL_BASE}/${id}`);
  }
}
