import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomePageComponent as AgentHomePageComponent } from './agent/pages/home-page/home-page.component';
import { HomePageComponent as PassengerHomePageComponent } from './passenger/pages/home-page/home-page.component';
import { HomePageComponent as SupervisorHomePageComponent } from './supervisor/pages/home-page/home-page.component';
import { SignInComponent } from './security/pages/sign-in/sign-in.component';

const routes: Routes = [
  {
    path: 'passengers',
    component: PassengerHomePageComponent,
    loadChildren: () => import('./passenger/passenger.module').then(m => m.PassengerModule),
  },
  {
    path: 'agents',
    component: AgentHomePageComponent,
    loadChildren: () => import('./agent/agent.module').then(m => m.AgentModule)
  },
  {
    path: 'supervisors',
    component: SupervisorHomePageComponent,
    loadChildren: () => import('./supervisor/supervisor.module').then(m => m.SupervisorModule)
  },
  {
    path: 'sign-in',
    component: SignInComponent,
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
