import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { PanelItem } from 'src/app/supervisor/interfaces/panel-item.interface';

@Component({
  selector: 'shared-panel-menu',
  templateUrl: './panel-menu.component.html',
  styleUrls: ['./panel-menu.component.css']
})
export class PanelMenuComponent implements OnInit {

  ngOnInit(): void {
    this.panelItems.length > 0 ? this.panelItemActive = this.panelItems[0] : null;
  }

  @Input()
  public panelItems: PanelItem[] = [];

  @Input()
  public panelItemActive?: PanelItem;

  @Output()
  public onChangeItemActive: EventEmitter<PanelItem> = new EventEmitter();

  onChangePanelItem(item: PanelItem) {
    this.onChangeItemActive.emit(item);
  }
}
