import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Agent } from '../interfaces/agent.interface';

@Injectable({providedIn: 'root'})
export class AgentsService {
  constructor(private http: HttpClient) { }

  private BASE_URL: string = 'http://localhost:3000/agents';

  getAll(): Observable<Agent[]> {
    return this.http.get<Agent[]>(this.BASE_URL);
  }

  getById(id: number): Observable<Agent> {
    return this.http.get<Agent>(`${this.BASE_URL}/${id}`);
  }

  save(agent: Agent): Observable<Agent> {
    return this.http.post<Agent>(this.BASE_URL, agent);
  }

  edit(id: number, agent: Agent): Observable<Agent> {
    return this.http.put<Agent>(`${this.BASE_URL}/${id}`, agent);
  }

  delete(id: number): Observable<Agent> {
    return this.http.delete<Agent>(`${this.BASE_URL}/${id}`);
  }
}
